org.apache.jmeter.samplers

## Class StandardSampleSender

- java.lang.Object
- - org.apache.jmeter.samplers.AbstractSampleSender
  - - org.apache.jmeter.samplers.StandardSampleSender

All Implemented Interfaces:
  Serializable, SampleSender

    public class StandardSampleSender
    extends AbstractSampleSender
    implements Serializable

Default behaviour for remote testing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StandardSampleSender()` Deprecated. only for use by test code

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sampleOccurred(SampleEvent e)` A sample occurred.
`void` `testEnded(String host)` The test ended.

### Methods inherited from class org.apache.jmeter.samplers.AbstractSampleSender

`isClientConfigured, testEnded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardSampleSender

    @Deprecated
    public StandardSampleSender()

Deprecated. only for use by test code

### Method Detail

#### testEnded

    public void testEnded(String host)

Description copied from interface: `SampleSender`
The test ended. This will be called from the engine thread.

Specified by:
  `testEnded` in interface `SampleSender`
Parameters:
  `host` - the host that the test ended on.

#### sampleOccurred

    public void sampleOccurred(SampleEvent e)

Description copied from interface: `SampleSender`
A sample occurred. This method will be called from the sampler thread.

Specified by:
  `sampleOccurred` in interface `SampleSender`
Parameters:
  `e` - a Sample Event